package space.m0e.mc.chat.commands;

import net.minecraft.src.Packet3Chat;
import net.minecraft.src.command.Command;
import net.minecraft.src.command.CommandHandler;
import net.minecraft.src.command.CommandSender;
import org.pf4j.Extension;

import java.util.Arrays;
import java.util.stream.Collectors;

@Extension
public class MeCommand implements com.bta.util.CommandHandler
{
    @Override
    public Command command()
    {
        return new Command("me")
        {
            @Override
            public boolean execute(CommandHandler commandHandler, CommandSender commandSender, String[] args)
            {
//                commandSender.sendMessage("Ran me command");
                if (args.length == 0) {
                    return false;
                }
                String s = commandSender.getPlayer().getDisplayName()+" "+String.join(" ", args);
                commandHandler.asServer().minecraftServer.configManager.sendPacketToAllPlayers(new Packet3Chat(s));
                return true;
            }

            @Override
            public boolean opRequired(String[] strings)
            {
                return false;
            }

            @Override
            public void sendCommandSyntax(CommandHandler commandHandler, CommandSender commandSender)
            {
                commandSender.sendMessage("/me <msg>");
            }
        };
    }
}